solarOSsolarOS Docs

Create a quote-generated Contract

Creates a Contract from a Quote using templateId and one or more signers. Optional inputs are message, mergeFieldOverrides, and External References.

POST
/quotes/{id}/contracts

Creates a Contract from a Quote using templateId and one or more signers. Optional inputs are message, mergeFieldOverrides, and External References.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Quote identifier returned by the Organization API.

Request Body

application/json

JSON request payload for createContractFromQuote.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/quotes/string/contracts" \  -H "Content-Type: application/json" \  -d '{    "templateId": "contract_template_123",    "signers": [      {        "name": "Ada Lovelace",        "email": "ada@example.com",        "role": "CUSTOMER",        "order": 0      }    ],    "message": "Please review and sign the installation contract."  }'
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}